| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__NodeInfo Struct Reference
Upgrade and Remote Patching

Node Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | CEName
| The CE (Cluster Element) node name. More...
char * | ClusterName
| Cluster Name. More...
char * | CEIP
| The CE node IP address. More...
enum unsp__NodeRole * | NodeDBRole
| Indicates whether the database on the node is currently Primary or Secondary. More...
enum unsp__NodeId * | NodeId
| Indicates whether the node is designated "Node 1" or "Node 2". More...
char * | rtpVersion
| The RTP (Resilient Telco Platform) software version currently running on the node. More...
char * | patchVersion
| The patch set version currently running on the node. More...
char * | osType
| The operating system type. More...
char * | osVersion
| The operating system version. More...
char * | VIP
| Virtual IP address of the cluster. More...
char * | dbVersion
| The version of the Solid database. More...
char * | thirdPartyVersion
| The version of third party software on the node. More...
struct unsp__RapidStatDataList * | RapidStatDataList
| RapidStat Data List containing errors and or warnings. More...

## Detailed Description

Node Information.

## Member Data Documentation

## ◆ CEIP

char* unsp__NodeInfo::CEIP

The CE node IP address.

default value[range]: NA [1..1024]

## ◆ CEName

char* unsp__NodeInfo::CEName

The CE (Cluster Element) node name.

default value[range]: NA [1..1024]

## ◆ ClusterName

char* unsp__NodeInfo::ClusterName

Cluster Name.

default value[range]: NA [1..1024]

## ◆ dbVersion

char* unsp__NodeInfo::dbVersion

The version of the Solid database.

default value[range]: NA [1..1024]

## ◆ NodeDBRole

enum unsp__NodeRole* unsp__NodeInfo::NodeDBRole

Indicates whether the database on the node is currently Primary or Secondary.

default value[range]: NA

## ◆ NodeId

enum unsp__NodeId* unsp__NodeInfo::NodeId

Indicates whether the node is designated "Node 1" or "Node 2".

default value[range]: NA

## ◆ osType

char* unsp__NodeInfo::osType

The operating system type.

default value[range]: NA [1..1024]

## ◆ osVersion

char* unsp__NodeInfo::osVersion

The operating system version.

default value[range]: NA [1..1024]

## ◆ patchVersion

char* unsp__NodeInfo::patchVersion

The patch set version currently running on the node.

default value[range]: NA [1..1024]

## ◆ RapidStatDataList

struct unsp__RapidStatDataList* unsp__NodeInfo::RapidStatDataList

RapidStat Data List containing errors and or warnings.

Applicable only to unsp__GetNodeHealth() method.

## ◆ rtpVersion

char* unsp__NodeInfo::rtpVersion

The RTP (Resilient Telco Platform) software version currently running on the node.

default value[range]: NA [1..1024]

## ◆ thirdPartyVersion

char* unsp__NodeInfo::thirdPartyVersion

The version of third party software on the node.

default value[range]: NA [1..1024]

## ◆ VIP

char* unsp__NodeInfo::VIP

Virtual IP address of the cluster.

default value[range]: NA [1..1024]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h